package ru.dbotthepony.mc.otm.client.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.client.screen.panels.Dock;
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel;
import ru.dbotthepony.mc.otm.client.screen.panels.GridPanel;
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel;
import ru.dbotthepony.mc.otm.menu.CargoCrateMenu;

import javax.annotation.Nullable;

public class CargoCrateScreen extends MatteryScreen<CargoCrateMenu> {
	public CargoCrateScreen(CargoCrateMenu menu, Inventory inventory, Component title) {
		super(menu, inventory, title);
	}

	@Nullable
	@Override
	protected FramePanel makeMainFrame() {
		var frame = new FramePanel(this, null, 0, 0, INVENTORY_FRAME_WIDTH, 22 + 4 + 6 * 18, getTitle());

		var grid = new GridPanel(this, frame, 8, 18, 9 * 18, 6 * 18, 9, 6);

		for (var slot : menu.crate_slots)
			new SlotPanel<>(this, grid, slot);

		return frame;
	}
}
