package ru.dbotthepony.mc.otm.storage;

public record StorageObjectTuple<T extends IStorageStack>(Class<T> identity, T empty) {
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof StorageObjectTuple tuple)
			return tuple.identity == identity;

		return false;
	}

	@Override
	public int hashCode() {
		return identity.hashCode();
	}
}
